## flask-restful 0.3.4

=== Makefile ===
# Python settings
ifndef TRAVIS
	ifndef PYTHON_MAJOR
		PYTHON_MAJOR := 2
	endif
	ifndef PYTHON_MINOR
		PYTHON_MINOR := 7
	endif
	ENV := env/py$(PYTHON_MAJOR)$(PYTHON_MINOR)
else
	# Use the virtualenv provided by Travis
	ENV = $(VIRTUAL_ENV)
endif

# Project settings
PROJECT := Flask-RESTful
PACKAGE := flask_restful
SOURCES := Makefile setup.py $(shell find $(PACKAGE) -name '*.py')
EGG_INFO := $(subst -,_,$(PROJECT)).egg-info

# System paths
PLATFORM := $(shell python -c 'import sys; print(sys.platform)')
ifneq ($(findstring win32, $(PLATFORM)), )
	SYS_PYTHON_DIR := C:\\Python$(PYTHON_MAJOR)$(PYTHON_MINOR)
	SYS_PYTHON := $(SYS_PYTHON_DIR)\\python.exe
	SYS_VIRTUALENV := $(SYS_PYTHON_DIR)\\Scripts\\virtualenv.exe
else
	SYS_PYTHON := python$(PYTHON_MAJOR)
	ifdef PYTHON_MINOR
		SYS_PYTHON := $(SYS_PYTHON).$(PYTHON_MINOR)
	endif
	SYS_VIRTUALENV := virtualenv
endif

# virtualenv paths
ifneq ($(findstring win32, $(PLATFORM)), )
	BIN := $(ENV)/Scripts
	OPEN := cmd /c start
else
	BIN := $(ENV)/bin
	ifneq ($(findstring cygwin, $(PLATFORM)), )
		OPEN := cygstart
	else
		OPEN := open
	endif
endif

# virtualenv executables
PYTHON := $(BIN)/python
PIP := $(BIN)/pip
FLAKE8 := $(BIN)/flake8
PEP8RADIUS := $(BIN)/pep8radius
PEP257 := $(BIN)/pep257
NOSE := $(BIN)/nosetests
COVERAGE := $(BIN)/coverage
ACTIVATE := $(BIN)/activate

# Remove if you don't want pip to cache downloads
PIP_CACHE_DIR := .cache
PIP_CACHE := --download-cache $(PIP_CACHE_DIR)

# Flags for PHONY targets
DEPENDS_TEST := $(ENV)/.depends-test
DEPENDS_DEV := $(ENV)/.depends-dev
DEPENDS_DOC := $(ENV)/.depends-doc

# Main Targets ###############################################################

.PHONY: all
all: test

# Targets to run on Travis
.PHONY: ci
ci: test

# Development Installation ###################################################

.PHONY: env
env: $(PIP)

$(PIP):
	$(SYS_VIRTUALENV) --python $(SYS_PYTHON) $(ENV)
	$(PIP) install wheel

.PHONY: depends
depends: .depends-test .depends-dev .depends-doc

.PHONY: .depends-test
.depends-test: env Makefile $(DEPENDS_TEST)
$(DEPENDS_TEST): Makefile tests/requirements.txt
	$(PIP) install -e .[paging]
	$(PIP) install -r tests/requirements.txt
	touch $(DEPENDS_TEST)  # flag to indicate dependencies are installed

.PHONY: .depends-dev
.depends-dev: env Makefile $(DEPENDS_DEV)
$(DEPENDS_DEV): Makefile
	$(PIP) install $(PIP_CACHE) flake8 pep257 pep8radius
	touch $(DEPENDS_DEV)  # flag to indicate dependencies are installed

.PHONY: .depends-doc
.depends-doc: env Makefile setup.py $(DEPENDS_DOC)
$(DEPENDS_DOC): Makefile setup.py
	$(PIP) install -e .[docs]
	touch $(DEPENDS_DOC)  # flag to indicate dependencies are installed

# Documentation ##############################################################

.PHONY: doc
doc: .depends-doc
	. $(ACTIVATE); cd docs; $(MAKE) html

.PHONY: read
read: doc
	$(OPEN) docs/_build/html/index.html

# Static Analysis ############################################################

.PHONY: check
check: flake8 pep257

PEP8_IGNORED := E501

.PHONY: flake8
flake8: .depends-dev
	$(FLAKE8) $(PACKAGE) tests --ignore=$(PEP8_IGNORED)

.PHONY: pep257
pep257: .depends-dev
	$(PEP257) $(PACKAGE)

.PHONY: fix
fix: .depends-dev
	$(PEP8RADIUS) --docformatter --in-place

# Testing ####################################################################

.PHONY: test
test: .depends-test .clean-test
	$(NOSE) tests --with-coverage --cover-package=$(PACKAGE)

test-all: test-py26 test-py27 test-py33 test-py34
test-py26:
	PYTHON_MAJOR=2 PYTHON_MINOR=6 $(MAKE) test
test-py27:
	PYTHON_MAJOR=2 PYTHON_MINOR=7 $(MAKE) test
test-py33:
	PYTHON_MAJOR=3 PYTHON_MINOR=3 $(MAKE) test
test-py34:
	PYTHON_MAJOR=3 PYTHON_MINOR=4 $(MAKE) test

.PHONY: htmlcov
htmlcov: test
	$(COVERAGE) html
	$(OPEN) htmlcov/index.html

# Cleanup ####################################################################

.PHONY: clean
clean: .clean-test
	find $(PACKAGE) -name '*.pyc' -delete
	find $(PACKAGE) -name '__pycache__' -delete
	rm -rf dist build
	rm -rf docs/_build
	rm -rf $(EGG_INFO)

.PHONY: clean-all
clean-all: clean
	rm -rf $(PIP_CACHE_DIR)
	rm -rf $(ENV)

.PHONY: .clean-test
.clean-test:
	rm -rf .coverage htmlcov

# Release ####################################################################

.PHONY: authors
authors:
    echo "Authors\n=======\n\nA huge thanks to all of our contributors:\n\n" > AUTHORS.md
    git log --raw | grep "^Author: " | cut -d ' ' -f2- | cut -d '<' -f1 | sed 's/^/- /' | sort | uniq >> AUTHORS.md

.PHONY: register
register: doc
	$(PYTHON) setup.py register

.PHONY: dist
dist: doc test
	$(PYTHON) setup.py sdist
	$(PYTHON) setup.py bdist_wheel

.PHONY: upload
upload: doc register
	$(PYTHON) setup.py sdist upload
	$(PYTHON) setup.py bdist_wheel upload

=== debian/changelog ===
flask-restful (0.3.4-1) unstable; urgency=medium

  * Initial release (Closes: #763962)

 -- Jonathan Carter <jonathan@ubuntu.com>  Sat, 02 Jan 2016 18:11:34 +0200

=== debian/control ===
Source: flask-restful
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jonathan@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-aniso8601,
               python-blinker,
               python-crypto,
               python-flask,
               python-mock,
               python-nose,
               python-sphinx,
               python-setuptools,
               python-six,
               python-tz,
               python3-all,
               python3-aniso8601,
               python3-blinker,
               python3-crypto,
               python3-flask,
               python3-mock,
               python3-nose,
               python3-setuptools,
               python3-six,
               python3-tz
Standards-Version: 3.9.6
Homepage: https://github.com/twilio/flask-restful
Vcs-Git: git://anonscm.debian.org/python-modules/packages/flask-restful.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-restful.git

Package: python-flask-restful
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: REST API framework for Flask applications (Python Module)
 Flask-RESTful is an extension for Flask that adds support for quickly building
 REST APIs. It is a lightweight abstraction that works with your existing
 ORM/libraries. Flask-RESTful encourages best practices with minimal setup.
 If you are familiar with Flask, Flask-RESTful should be easy to pick up.
 .
 This package provides the module for Python 2.

Package: python3-flask-restful
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: REST API framework for Flask applications (Python3 Module)
 Flask-RESTful is an extension for Flask that adds support for quickly building
 REST APIs. It is a lightweight abstraction that works with your existing
 ORM/libraries. Flask-RESTful encourages best practices with minimal setup.
 If you are familiar with Flask, Flask-RESTful should be easy to pick up.
 .
 This package provides the module for Python 3.

Package: python-flask-restful-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: REST API framework for Flask applications (Documentation)
 Flask-RESTful is an extension for Flask that adds support for quickly building
 REST APIs. It is a lightweight abstraction that works with your existing
 ORM/libraries. Flask-RESTful encourages best practices with minimal setup.
 If you are familiar with Flask, Flask-RESTful should be easy to pick up.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-restful

%:
	dh $@ --buildsystem=pybuild --with=python2,python3,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/docs/_build

override_dh_auto_build:
	dh_auto_build
	cd docs; PYTHONPATH=.. http_proxy='127.0.0.1:9' make html

## flask-restful 0.3.5

=== debian/changelog ===
flask-restful (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #832860)
  * Fixed VCS URL (https)
  * Enabled autopkgtest-pkg-python testsuite
  * Standards-Version is 3.9.8 now (no changes needed)
  * Use Python 3 version of Sphinx to build docs
  * Use local copies of object.inv for building documentation (Closes: #830154)
  * Use SOURCE_DATE_EPOCH for copyright year to make build reproducible
    (Closes: #809780)

 -- Ondřej Nový <onovy@debian.org>  Sun, 14 Aug 2016 10:42:18 +0200

=== debian/control ===
--- 
+++ 
@@ -10,26 +10,30 @@
                python-blinker,
                python-crypto,
                python-flask,
+               python-flask-doc,
                python-mock,
                python-nose,
-               python-sphinx,
                python-setuptools,
                python-six,
+               python-werkzeug-doc,
                python-tz,
                python3-all,
                python3-aniso8601,
                python3-blinker,
                python3-crypto,
+               python3-doc,
                python3-flask,
                python3-mock,
                python3-nose,
                python3-setuptools,
+               python3-sphinx,
                python3-six,
                python3-tz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/twilio/flask-restful
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/flask-restful.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask-restful.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-restful.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-flask-restful
 Architecture: all
@@ -56,7 +60,11 @@
 Package: python-flask-restful-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
+         python-flask-doc,
+         python-werkzeug-doc,
+         python3-doc,
 Description: REST API framework for Flask applications (Documentation)
  Flask-RESTful is an extension for Flask that adds support for quickly building
  REST APIs. It is a lightweight abstraction that works with your existing

## flask-restful 0.3.6

=== Makefile ===
--- 
+++ 
@@ -139,7 +139,7 @@
 test: .depends-test .clean-test
 	$(NOSE) tests --with-coverage --cover-package=$(PACKAGE)
 
-test-all: test-py26 test-py27 test-py33 test-py34
+test-all: test-py26 test-py27 test-py33 test-py34 test-py35
 test-py26:
 	PYTHON_MAJOR=2 PYTHON_MINOR=6 $(MAKE) test
 test-py27:
@@ -148,6 +148,8 @@
 	PYTHON_MAJOR=3 PYTHON_MINOR=3 $(MAKE) test
 test-py34:
 	PYTHON_MAJOR=3 PYTHON_MINOR=4 $(MAKE) test
+test-py35:
+	PYTHON_MAJOR=3 PYTHON_MINOR=5 $(MAKE) test
 
 .PHONY: htmlcov
 htmlcov: test

=== tests/requirements.txt ===
nose>=1.1.2
mock>=0.8
nosexcover
blinker

=== debian/changelog ===
flask-restful (0.3.6-6ubuntu1) cosmic; urgency=medium

  * Enable unit test execution:
    - d/rules: Remove override of dh_auto_test.
    - d/p/fix-fr-405.patch: Cherry pick upstream change for failing
      test with newer flask versions.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Aug 2018 09:25:05 +0100

flask-restful (0.3.6-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Jonathan Carter ]
  * Skip flailing tests (Closes: #902462)
  * Update standards version to 4.2.0

 -- Jonathan Carter <jcc@debian.org>  Sat, 11 Aug 2018 11:46:45 +0200

flask-restful (0.3.6-4) unstable; urgency=medium

  * Re-add python2 binary package
  * Update standards version to 4.1.4

 -- Jonathan Carter <jcc@debian.org>  Fri, 04 May 2018 20:00:00 +0200

flask-restful (0.3.6-3) unstable; urgency=medium

  * Cherry pick upstream patch to fix ftbfs with
    aniso8601 (3.0) (Closes: #893019)

 -- Jonathan Carter <jcc@debian.org>  Mon, 09 Apr 2018 16:23:12 +0200

flask-restful (0.3.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Jonathan Carter ]
  * Set compat to level 11
  * Update maintainer email address
  * Update standards version to 4.1.3
  * Drop python2 version
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Tue, 13 Feb 2018 10:16:27 +0100

flask-restful (0.3.6-1) unstable; urgency=medium

  * New upstream release
  * Upgrade compat to 10
  * Update standards version to 4.0.0
    - Update Format field to use https url for copyright-format
  * Set Testsuite to autopkgtest-pkg-python
  * Solves FTBFS due to recent changes in unstable  (Closes: #865663)

 -- Jonathan Carter <jcarter@linux.com>  Wed, 12 Jul 2017 14:38:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: flask-restful
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Jonathan Carter <jonathan@ubuntu.com>
-Build-Depends: debhelper (>= 9),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Jonathan Carter <jcc@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-aniso8601,
@@ -29,10 +30,10 @@
                python3-sphinx,
                python3-six,
                python3-tz
-Standards-Version: 3.9.8
+Standards-Version: 4.2.0
 Homepage: https://github.com/twilio/flask-restful
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/flask-restful.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-restful.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/flask-restful.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-restful
 Testsuite: autopkgtest-pkg-python
 
 Package: python-flask-restful

## flask-restful 0.3.7

=== debian/changelog ===
flask-restful (0.3.7-4) unstable; urgency=medium

  * Version bump (no changes)

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Aug 2019 12:54:40 +0000

flask-restful (0.3.7-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Jonathan Carter ]
  * Initial source-only upload

 -- Ondřej Nový <onovy@debian.org>  Sat, 20 Jul 2019 00:29:29 +0200

flask-restful (0.3.7-2) unstable; urgency=medium

  * Drop python2 binary package
    (dependencies no longer available in unstable)
  * Update standards version to 4.4.0
  * Upgrade to debhelper-compat (=12)

 -- Jonathan Carter <jcc@debian.org>  Mon, 08 Jul 2019 13:18:33 +0000

flask-restful (0.3.7-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.3.0
  * Remove support-aniso8601-3.0 patch, now applied upstream
  * Remove fix-fr-405.patch, now applied upstream
  * Remove skip-bad-test.patch, fixed upstream

 -- Jonathan Carter <jcc@debian.org>  Fri, 04 Jan 2019 16:51:22 +0200

flask-restful (0.3.6-7) unstable; urgency=medium

  * Fix failing tests, thank you James Page for patch
    (Closes: #906166)
  * Update standards version to 4.2.1

 -- Jonathan Carter <jcc@debian.org>  Wed, 26 Sep 2018 09:53:03 +0200

=== debian/control ===
Source: flask-restful
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-aniso8601,
               python3-blinker,
               python3-crypto,
               python3-doc,
               python3-flask,
               python3-mock,
               python3-nose,
               python3-setuptools,
               python3-sphinx,
               python3-six,
               python3-tz
Standards-Version: 4.4.0
Homepage: https://github.com/twilio/flask-restful
Vcs-Git: https://salsa.debian.org/python-team/modules/flask-restful.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-restful
Testsuite: autopkgtest-pkg-python

Package: python3-flask-restful
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: REST API framework for Flask applications (Python3 Module)
 Flask-RESTful is an extension for Flask that adds support for quickly building
 REST APIs. It is a lightweight abstraction that works with your existing
 ORM/libraries. Flask-RESTful encourages best practices with minimal setup.
 If you are familiar with Flask, Flask-RESTful should be easy to pick up.

Package: python-flask-restful-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         python-flask-doc,
         python-werkzeug-doc,
         python3-doc,
Description: REST API framework for Flask applications (Documentation)
 Flask-RESTful is an extension for Flask that adds support for quickly building
 REST APIs. It is a lightweight abstraction that works with your existing
 ORM/libraries. Flask-RESTful encourages best practices with minimal setup.
 If you are familiar with Flask, Flask-RESTful should be easy to pick up.
 .
 This package provides the documentation.

## flask-restful 0.3.8

=== debian/changelog ===
flask-restful (0.3.8-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Fri, 07 Feb 2020 19:12:04 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,8 @@
                python3-sphinx,
                python3-six,
                python3-tz
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/twilio/flask-restful
 Vcs-Git: https://salsa.debian.org/python-team/modules/flask-restful.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-restful

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/flask-restful-$1\.tar\.gz/ \
   https://github.com/twilio/flask-restful/tags .*/v?(\d\S*)\.tar\.gz

## flask-restful 0.3.9

=== debian/changelog ===
flask-restful (0.3.9-6) unstable; urgency=medium

  * Add a || kill in the trap function of functional tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Dec 2022 10:26:34 +0100

flask-restful (0.3.9-5) unstable; urgency=medium

  * Team upload.
  * Refreshed 0003-Use-local-copies-of-object.inv-for-building-document.patch.
  * Add Fix_the_tests_with_flask_2.1.2.patch.
  * Fix autopkgtest so it works with multiple Python interpreter installed (ie:
    kill the flask-restful server before trying to spawn a 2nd one).
    (Closes: #1024913).
  * Add replace-flask_abort-by-_aborter.patch
  * Add add-missing-location-when-calling-add_argument.patch thanks to Rene
    Luria <rene.luria@infomaniak.com>. This fixes all unit tests with the new
    werkzeug 2.2.2.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Dec 2022 10:23:13 +0100

flask-restful (0.3.9-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-flask-restful-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:27:56 +0100

flask-restful (0.3.9-3) unstable; urgency=medium

  * Team upload.

  [ Emanuele Rocca ]
  * Use pytest instead of nose.
    See 0001-use-pytest-not-nose.patch (Closes: #1018358).
  * Add functional testing with autopkgtest.
  * Fix "alien-tag" lintian error by moving d/source/lintian-overrides to
    d/python3-flask-restful.lintian-overrides.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Emanuele Rocca <ema@debian.org>  Fri, 14 Oct 2022 20:45:01 +0200

flask-restful (0.3.9-2) unstable; urgency=medium

  * Upload to unstable
  * Update standards version to 4.6.1

 -- Jonathan Carter <jcc@debian.org>  Thu, 02 Sep 2021 20:43:45 +0200

flask-restful (0.3.9-1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.5.1

 -- Jonathan Carter <jcc@debian.org>  Fri, 18 Jun 2021 13:48:58 +0200

flask-restful (0.3.8-5) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit.

 -- Jonathan Carter <jcc@debian.org>  Tue, 03 Nov 2020 14:44:59 +0200

flask-restful (0.3.8-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * d/control: Build-Depends and Depends on python3-pycryptodome (Closes:
    #971314).
    - PyCrypto is no longer maintaned.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 30 Sep 2020 12:38:13 -0300

flask-restful (0.3.8-3) unstable; urgency=medium

  * Team Upload.
  * Update tests according to werkzeug version in archive
    (Closes: #966962)
  * compat version: 13

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 05 Aug 2020 14:10:31 +0530

flask-restful (0.3.8-2) unstable; urgency=medium

  * New upload to merge diverged git history

 -- Jonathan Carter <jcc@debian.org>  Fri, 07 Feb 2020 19:19:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: flask-restful
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-aniso8601,
                python3-blinker,
-               python3-crypto,
+               python3-pycryptodome,
                python3-doc,
                python3-flask,
                python3-mock,
-               python3-nose,
+               python3-pytest,
                python3-setuptools,
                python3-sphinx,
                python3-six,
                python3-tz
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/twilio/flask-restful
-Vcs-Git: https://salsa.debian.org/python-team/modules/flask-restful.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-restful
+Vcs-Git: https://salsa.debian.org/python-team/packages/flask-restful.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-restful
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-flask-restful
@@ -41,6 +41,7 @@
          python-flask-doc,
          python-werkzeug-doc,
          python3-doc,
+Multi-Arch: foreign
 Description: REST API framework for Flask applications (Documentation)
  Flask-RESTful is an extension for Flask that adds support for quickly building
  REST APIs. It is a lightweight abstraction that works with your existing

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export PYBUILD_NAME=flask-restful
 
 %:
-	dh $@ --buildsystem=pybuild --with=python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with=python3,sphinxdoc
 
 override_dh_auto_clean:
 	dh_auto_clean

## flask-restful 0.3.10

=== debian/changelog ===
flask-restful (0.3.10-6) unstable; urgency=medium

  * Team upload.
  * Patch test for Pytest 8.4 compatibility

 -- Alexandre Detiste <tchet@debian.org>  Sun, 24 Aug 2025 20:48:21 +0200

flask-restful (0.3.10-5) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 08 Jan 2025 18:39:58 +0100

flask-restful (0.3.10-4) unstable; urgency=medium

  * Team upload.
  * Trim debian/rules & rewrite with modern syntax
  * Rweak intersphinx patch (Closes: #1090221)
  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Wed, 18 Dec 2024 13:27:11 +0100

flask-restful (0.3.10-3) unstable; urgency=medium

  * Team upload.
  [ Rebecca N. Palmer ]
  * Tests: don't pass pytz.timezone to datetime. (Closes: #1084256)

 -- Santiago Vila <sanvila@debian.org>  Sat, 09 Nov 2024 18:20:00 +0100

flask-restful (0.3.10-2) unstable; urgency=medium

  * Team upload.
  * d/control: move ${sphinxdoc:Built-Using} from Depends to Built-Using.
    The fixed-version dependency was blocking a new version of Sphinx.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * watch file standard 4 (routine-update)
  * d/control: add missing dependencies on other -docs packages
  * d/patches/0003-Use-local-copies-of-object.inv-for-building-document.patch:
    link to packaged copy of the "six" HTML documentation.
  * removed unused debian/python3-flask-restful.lintian-overrides
  * d/control: switch to autopkgtest-pkg-pybuild

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Mar 2024 13:27:57 +0100

flask-restful (0.3.10-1) unstable; urgency=medium

  [Jonathan Carter]
  * New upstream release
  * Update standards version to 4.6.2

  [Yogeswaran Umasankar]
  * Updated old patches for the new upstream version.
  * Patch for AttributeError in test with Python 3.12 + removed
    deprecated signals_available from test file.
  * Disabled two tests in rules until XML request handling is fixed
    (Closes: #1061028).
  * Added ${sphinxdoc:Built-Using} to python-flask-restful-doc depends.

 -- Jonathan Carter <jcc@debian.org>  Sat, 03 Feb 2024 01:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,25 +4,24 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-aniso8601,
                python3-blinker,
                python3-pycryptodome,
                python3-doc,
                python3-flask,
-               python3-mock,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
-               python3-six,
                python3-tz
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Build-Depends-Indep: python-flask-doc <!nodoc>,
+                     python-werkzeug-doc <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/twilio/flask-restful
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-restful.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-restful
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-flask-restful
 Architecture: all
@@ -40,7 +39,8 @@
          ${sphinxdoc:Depends},
          python-flask-doc,
          python-werkzeug-doc,
-         python3-doc,
+         python3-doc
+Built-Using: ${sphinxdoc:Built-Using}
 Multi-Arch: foreign
 Description: REST API framework for Flask applications (Documentation)
  Flask-RESTful is an extension for Flask that adds support for quickly building

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-restful

#Disabling two tests until XML request handing is fixed. A detailed futher investigation
#is needed in class api mediatypes() in flask_restful/__init__.py or whatsoever.
export PYBUILD_TEST_ARGS=-k 'not test_media_types_method and not test_media_types_q'

%:
	dh $@ --buildsystem=pybuild --with=sphinxdoc

execute_after_dh_auto_clean:
	rm -rf $(CURDIR)/docs/_build

execute_after_dh_auto_build:
	cd docs; PYTHONPATH=.. http_proxy='127.0.0.1:9' make html

=== debian/tests/control ===
Tests: functional
Depends:
 curl,
 python3-all,
 @
Restrictions: allow-stderr, isolation-container

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/flask-restful-$1\.tar\.gz/ \
   https://github.com/twilio/flask-restful/tags .*/v?(\d\S*)\.tar\.gz
